Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154382 - Mail component fails to search IMAP4-stored messages properly
Summary: Mail component fails to search IMAP4-stored messages properly
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 08:54 UTC by Pavel Urban
Modified: 2018-04-11 15:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-09 23:51:20 UTC


Attachments (Terms of Use)

Description Pavel Urban 2005-04-11 08:54:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
When I try to search IMAP4 folder for string 'antivi' in Subject, Mozilla returns no matches. When I try 'antivir', it returns many matches like 'Re: posileni antiviru' etc. The same operation performed on local mailbox works OK; the same operation using MS Outlook too. The server is Exchange 2003.

Version-Release number of selected component (if applicable):
mozilla-1.7.6-1.3.2

How reproducible:
Always

Steps to Reproduce:
1. open search dialog, choose 'Subject' 'contains'
2. try to search for full string, then remove letters from the end
3.
  

Actual Results:  Matching messages disappeared from results.

Expected Results:  The list should stay the same or include more relevant results.

Additional info:

Comment 1 Matthew Miller 2006-07-10 20:49:57 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Matěj Cepl 2007-06-09 23:51:20 UTC
Reporter, could you confirm please, that this bug still could be reproduced with
the updated release of the supported version of Fedora (FC5, FC6, or F7)?

If yes, please, reopen this bug with additional information how it is possible
to reproduce this bug.

In meantime, I have to close this bug as CANTFIX, because it is reported against
not longer supported distribution.

Thanks in advance.


Note You need to log in before you can comment on or make changes to this bug.